#include "pluginproto.h"
#include "VGroup.h"
#include "MCheckBox.h"


static void *getplugin(void **data,const char *name, const char *header, uint32 size, plugin_info *);
static void destroyplugin(void *,void*);
static void aboutplugin();
static BView *configure(BMessage *config);


static int32	readdata(void *,char *buf, ulong count);
static status_t info(void *_synth, file_info *info);
static status_t	seek(void *, uint32 pos);
static uint32	position(void*);
static status_t open(void* _ah,const char *name, const char *header, uint32 size, BMessage *config);
static void close(void* _ah);

class ac3_handle
{
	public:
		FILE*				af;
		image_id			img;
		plugin_descriptor	*plugdesc;
		thread_id dec_id; //le thread de décodage 
		void* prefs;
};

class ConfigView: public VGroup
{
	private:
		BMessage *config;

	public:
		ConfigView(BMessage *_config);
		virtual ~ConfigView();
		virtual void MessageReceived(BMessage *mes);
};