//////////////////////////////////////////////////////
// Original File By Claes Löfqvist
// 
// 
// Modified by Herve Chaminaud
// e-mail : chamin_h@epita.fr
// date : 2000/01/07
// file version : 1.0
//////////////////////////////////////////////////////
// Just some syntax changes
// ici lecture du fichier preference du plugin
// a modifier quadn on aura des parametres plus evolue 
//////////////////////////////////////////////////////
#include <stdio.h>
#include <InterfaceKit.h>
#include "Preferences.h"

Preferences *ThePrefs = new Preferences();

////////////////////////////////////////////////////////////////////////////////////////////////////////////
const char *Preferences::PrefsDataFile= "/boot/home/config/settings/SoundPlay_InpPlugin_Ac3dec.preferences";

////////////////////////////////////////////////////////////////////////////////////////////////////////////
void Preferences::SetDefData()
{
	D.m_substream = 0;
	D.GainLevelPercent = 0;
	D.Gain2LevelPercent = 0;
	D.GainCenterPercent = 0;
	D.GainRearPercent = 0;
	D.GainLfePercent = 0;
}

////////////////////////////////////////////////////////////////////////////////////////////////////////////
Preferences::Preferences():
down_mix_changed(true)
{
	if ((DataSemaphore = create_sem(1, "Preferences")) != B_NO_ERROR);
	Init();
}

////////////////////////////////////////////////////////////////////////////////////////////////////////////
void Preferences::Init()
{
	FILE *f;

	SetDefData();
	if (NULL != (f = fopen(PrefsDataFile,"r"))) {
		fread (&D,1, sizeof(D), f);
		fclose(f);
	}//if
	if (D.GainLevelPercent < 1 || D.GainLevelPercent > 1000) 
		D.GainLevelPercent=100;
}

////////////////////////////////////////////////////////////////////////////////////////////////////////////
Preferences::~Preferences()
{
	FILE *f;
	
	if (NULL!=(f=fopen(PrefsDataFile,"w"))) {
		if (sizeof(D)!=fwrite (&D,1, sizeof(D), f));
		fclose(f);
	}//if
	delete_sem(DataSemaphore);
}
