//////////////////////////////////////////////////////
// Original File By Claes Löfqvist
// 
// 
// Modified by Herve Chaminaud
// e-mail : chamin_h@epita.fr
// date : 2000/01/07
// file version : 0.99
//////////////////////////////////////////////////////
// some syntax modifications
// ici on a les parametre de preference du plugin
// ils dependent donc de chaques plugins 
// voir a ce que cela soit plus modulaire 
//////////////////////////////////////////////////////
#ifndef CL_PREFERENCES_H
#define CL_PREFERENCES_H

struct PrefsData {
	int 	m_substream;
	int 	GainLevelPercent;
	int 	Gain2LevelPercent;
	int 	GainCenterPercent;
	int 	GainRearPercent;
	int 	GainLfePercent;
};

class Preferences
{
  public:
			Preferences();
			~Preferences();
	void 	Init();
	bool 	Lock()						{ return (B_NO_ERROR == acquire_sem(DataSemaphore)); }
	bool 	LockButDontWait()			{ return (B_NO_ERROR == acquire_sem_etc(DataSemaphore,1,B_TIMEOUT,0)); }
	void 	Unlock()					{ release_sem(DataSemaphore); }
	//void 	SetWinRect (BRect Rect)		{ D.WinRect = Rect; }
	//BRect 	WinRect()					{ return (D.WinRect); }
	void 	SetGainLevelPercent(int X)		{ D.GainLevelPercent = X; down_mix_changed = true;}
	int 	GainLevelPercent()				{ return (D.GainLevelPercent); }
	void 	SetGain2LevelPercent(int X)		{ D.Gain2LevelPercent = X; down_mix_changed = true;}
	int 	Gain2LevelPercent()				{ return (D.Gain2LevelPercent); }
	void 	SetGainCenterPercent(int X)		{ D.GainCenterPercent = X; down_mix_changed = true;}
	int 	GainCenterPercent()				{ return (D.GainCenterPercent); }
	void 	SetGainRearPercent(int X)		{ D.GainRearPercent = X; down_mix_changed = true;}
	int 	GainRearPercent()				{ return (D.GainRearPercent); }
	void 	SetGainLfePercent(int X)		{ D.GainLfePercent = X; down_mix_changed = true; }
	int 	GainLfePercent()				{ return (D.GainLfePercent); }
	
	bool IsDownMixChanged() { return down_mix_changed; }
	void DownMixChanged(bool val) { down_mix_changed = val; }
	
  private:
	void 				SetDefData();
	static const char 	*PrefsDataFile;
	struct 				PrefsData D;
	sem_id 				DataSemaphore;
	
	bool				down_mix_changed;
	
};

extern Preferences *ThePrefs;

#endif