#ifndef VIEDDOWNMIXVIEW_HEADER
#define VIEDDOWNMIXVIEW_HEADER

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <InterfaceKit.h>
#include <StorageKit.h>
#include <AppKit.h>

#define M_SLIDER_GAIN_LEVEL			1
#define M_SLIDER_GAIN2_LEVEL		2
#define M_SLIDER_GAIN_CENTER		3
#define M_SLIDER_GAIN_REAR			4
#define M_SLIDER_GAIN_LFE			5

class AC3EdDownMixView : public BView
{
public:
	AC3EdDownMixView(BRect, const char *, uint32, uint32);
	~AC3EdDownMixView();
	void AttachedToWindow();
	void MessageReceived(BMessage *);
	void UpdateControls();
private:
	void SetGainSliderLabel();
	BSlider *GainLevelSlider;
	BSlider *Gain2LevelSlider;
	BSlider *GainCenterSlider;
	BSlider *GainRearSlider;
	BSlider *GainLfeSlider;
};

#endif