#include "PrefsPanel/AC3EdView_L0S0.h"
#include "PrefsPanel/AC3EdDownMixView.h"
#include "PrefsPanel/AC3EdStreamsView.h"
#include "Preferences.h"


AC3EdView_L0S0::AC3EdView_L0S0(BRect frame, const char *name, uint32 resizingMode, uint32 flags) :
	BView(frame, name, resizingMode, flags)
{
}

AC3EdView_L0S0::~AC3EdView_L0S0()
{
}

void AC3EdView_L0S0::AttachedToWindow()
{
	BRect R;
	BTabView *tabView;
	BTab *tab;
	R = Bounds();
	R.InsetBy(5,5);
	
	tabView = new BTabView(R, "tab_view");
		
	R = tabView->Bounds();
	R.InsetBy(5,5);
	R.bottom -= tabView->TabHeight();
	tab = new BTab();
	tabView->AddTab(new AC3EdDownMixView(R,"Down_Mix_View", B_FOLLOW_LEFT ,B_WILL_DRAW), tab);
	tab->SetLabel("DownMix Levels");
	tab = new BTab();
	tabView->AddTab(new AC3EdStreamsView(R,"Streams_View", B_FOLLOW_LEFT ,B_WILL_DRAW), tab);
	tab->SetLabel("Streams");
	AddChild(tabView);
}

void AC3EdView_L0S0::UpdateControls()
{
}

void AC3EdView_L0S0::MessageReceived(BMessage *message)
{
	switch ( message->what ) {
		case B_SIMPLE_DATA:
			break;
   		default:
			BView::MessageReceived(message);
			break;
	}
}
